.footer {
  background-color: var(--color-gray-100);
}

.footer .container {
  display: flex;
  flex-direction: column;

  @media (min-width: 768px) {
    display: flex;
    flex-direction: row;
    gap: 32px;
  }
}

.footer-one {
  padding: 32px 24px 24px 24px;
  display: flex;
  flex-direction: column;
  order: 2;

  @media (min-width: 768px) {
    flex: 0 1 60%;
    order: 1;
    padding: 64px 24px 24px 7%;
  }
}

.region-footer-top {
  margin-bottom: 32px;
}

.region-footer-middle {
  margin-bottom: 32px;

  @media (min-width: 768px) {
    display: flex;
    justify-content: space-between;
    margin-bottom: 64px;
  }
}

.region-footer-middle .block-block-content {
  margin-bottom: 16px;

  @media (min-width: 768px) {
    flex: 0 1 50%;
    margin-bottom: 0;
  }
}

.region-footer-middle .menu--main {
  @media (min-width: 768px) {
    flex: 0 1 35%;
  }
}

.footer-two {
  min-height: 400px;
  position: relative;
  display: flex;
  order: 1;

  @media (min-width: 768px) {
    flex: 0 1 40%;
    order: 2;
  }
}

.footer-two__image {
  z-index: 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.region-footer-cta {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
}

.region-footer-middle .menu-main .menu-item {
  margin-bottom: 10px;
}

.region-footer-middle .menu-main .menu-item a {
  text-transform: uppercase;
  color: var(--color-gray-950);
  font-weight: 700;
  cursor: pointer;
  white-space: nowrap;

  &:hover {
    color: var(--color-brand-800);
  }

  &:before {
    content: "\2192";
    display: inline-block;
    width: 20px;
    height: 20px;
    margin-right: 10px;
    transform: translateX(2px);
    transition: transform 300ms;
    font-size: 16px;
    line-height: 1.5;
    color: var(--color-brand-800);
    text-align: center;
  }

  &:hover:before {
    transform: translateX(6px);
  }
}

.region-footer-bottom {
  margin-bottom: 32px;
}

.menu-footer .menu-item {
  display: inline-block;
}

.menu-footer .menu-item a {
  display: inline-block;
  color: var(--color-brand-900);

  &:hover {
    text-decoration: underline;
    color: var(--color-brand-700);
  }
}

.menu-footer .menu-item:not(:last-child) a::after {
  content: "|";
  margin: 0 6px 0 12px;
  color: var(--color-gray-300);
}

.footer-one__bottom-other {
  @media (min-width: 768px) {
    display: flex;
    justify-content: space-between;
    gap: 16px;
  }
}

.footer-one__bottom-copyright {
  margin-bottom: 12px;
  color: var(--color-gray-600);

  @media (min-width: 768px) {
    margin-bottom: 0;
  }
}

.powered-by__link {
  color: var(--color-brand-900);

  &:hover {
    text-decoration: underline;
    color: var(--color-brand-700);
  }
}
